OSINT Lookups
Google Account Information (GHunt)
Retrieves public Google account info. Note: May return error if OSID header not detected.
GET
https://oathnet.org/api
/
service
/
ghunt
Google Account Information (GHunt)
curl --request GET \
--url https://oathnet.org/api/service/ghunt \
--header 'x-api-key: <api-key>'import requests
url = "https://oathnet.org/api/service/ghunt"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://oathnet.org/api/service/ghunt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"status": "<string>",
"data": {
"profile": {
"Name": "<string>",
"Profile Picture": "<string>",
"Gaia ID": "<string>",
"Last Update": "<string>"
},
"maps_reviews": "<string>",
"photos_url": "<string>"
},
"_meta": {
"user": {
"plan": "Pro",
"plan_type": "pro",
"is_plan_active": true
},
"lookups": {
"used_today": 5,
"left_today": 995,
"daily_limit": 1000,
"is_unlimited": false
},
"service": {
"name": "Service Name",
"id": "service-id",
"category": "general",
"is_premium": false,
"is_available": true,
"session_quota": 10
},
"performance": {
"duration_ms": 111.47,
"timestamp": "2026-01-06T00:44:08.191547"
}
}
},
"errors": {
"error": "<string>",
"details": "<string>",
"_meta": {
"user": {
"plan": "Pro",
"plan_type": "pro",
"is_plan_active": true
},
"lookups": {
"used_today": 5,
"left_today": 995,
"daily_limit": 1000,
"is_unlimited": false
},
"service": {
"name": "Service Name",
"id": "service-id",
"category": "general",
"is_premium": false,
"is_available": true,
"session_quota": 10
},
"performance": {
"duration_ms": 111.47,
"timestamp": "2026-01-06T00:44:08.191547"
}
}
}
}Authorizations
API key for authentication (lowercase header name)
⌘I
Google Account Information (GHunt)
